"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalErrorHandler = void 0;
const dino_core_1 = require("dino-core");
const ApplicationEvent_1 = require("./events/ApplicationEvent");
class GlobalErrorHandler {
    handle(eventProducer) {
        return (error) => {
            dino_core_1.Logger.error(`${error.name} - ${error.message}`);
            eventProducer.send(ApplicationEvent_1.ApplicationEvent.create('workloadError', { errorName: error.name, errorMessage: error.message }));
        };
    }
}
exports.GlobalErrorHandler = GlobalErrorHandler;
//# sourceMappingURL=GlobalErrorHandler.js.map